# Uses of Class
org.springframework.core.env.MissingRequiredPropertiesException

Packages that use MissingRequiredPropertiesException
Package
Description
org.springframework.core.env
Spring's environment abstraction consisting of bean definition profile and hierarchical property source support.

## Uses of MissingRequiredPropertiesException in org.springframework.core.env

Methods in org.springframework.core.env that throw MissingRequiredPropertiesException
Modifier and Type
Method
Description
`void`
AbstractEnvironment.`validateRequiredProperties()`
`void`
ConfigurablePropertyResolver.`validateRequiredProperties()`
Validate that each of the properties specified by `ConfigurablePropertyResolver.setRequiredProperties(java.lang.String...)` is present and resolves to a non-`null` value.